# pion::PionOneToOneScheduler::ServicePair Struct Reference

`#include <PionScheduler.hpp>`

List of all members.

## Detailed Description

typedef for a pair object where first is an IO service and second is a deadline timer

Definition at line 342 of file PionScheduler.hpp.

## Public Member Functions

| ServicePair (void)

## Public Attributes

boost::asio::io_service | first
boost::asio::deadline_timer | second

The documentation for this struct was generated from the following file:

- common/include/pion/PionScheduler.hpp